searchNodes=[{"doc":"The Address module lets you work with addresses for a wallet.","ref":"Cardanoex.Address.html","title":"Cardanoex.Address","type":"module"},{"doc":"Give useful information about the structure of a given address. Options address","ref":"Cardanoex.Address.html#inspect/1","title":"Cardanoex.Address.inspect/1","type":"function"},{"doc":"Return a list of known addresses, ordered from newest to oldest Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.Address.html#list/1","title":"Cardanoex.Address.list/1","type":"function"},{"doc":"","ref":"Cardanoex.Address.html#t:address/0","title":"Cardanoex.Address.address/0","type":"type"},{"doc":"","ref":"Cardanoex.Address.html#t:inspected_address/0","title":"Cardanoex.Address.inspected_address/0","type":"type"},{"doc":"The asset module let's you work with native assets for a wallet.","ref":"Cardanoex.Asset.html","title":"Cardanoex.Asset","type":"module"},{"doc":"Get information about a specific asset. Options wallet_id - hex based string. 40 characters policy_id - hex based string. 56 characters","ref":"Cardanoex.Asset.html#get/2","title":"Cardanoex.Asset.get/2","type":"function"},{"doc":"List all native assets for a wallet. Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.Asset.html#list/1","title":"Cardanoex.Asset.list/1","type":"function"},{"doc":"","ref":"Cardanoex.Asset.html#t:asset/0","title":"Cardanoex.Asset.asset/0","type":"type"},{"doc":"","ref":"Cardanoex.Asset.html#t:metadata/0","title":"Cardanoex.Asset.metadata/0","type":"type"},{"doc":"The Key module helps you to work with public keys for a wallet.","ref":"Cardanoex.Key.html","title":"Cardanoex.Key","type":"module"},{"doc":"Derive an account public key for any account index. For this key derivation to be possible, the wallet must have been created from mnemonic. It is possible to use the optional purpose field to override that branch of the derivation path with different hardened derivation index. If that field is omitted, the default purpose for Cardano wallets ( 1852H ) will be used. Note: Only Hardened indexes are supported by this endpoint. Options wallet_id - hex based string. 40 characters index - Example: 1852H. An individual segment within a derivation path. The H suffix indicates a Hardened child private key, which means that children of this key cannot be derived from the public key. Indices without a H suffix are called Soft. format - Enum: &quot;extended&quot; &quot;non_extended&quot;. Determines whether extended (with chain code) or normal (without chain code) key is requested. purpose - An individual segment within a derivation path. The H suffix indicates a Hardened child private key, which means that children of this key cannot be derived from the public key. Indices without a H suffix are called Soft.","ref":"Cardanoex.Key.html#create_account_public_key/2","title":"Cardanoex.Key.create_account_public_key/2","type":"function"},{"doc":"Retrieve the account public key of this wallet. Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.Key.html#get_account_public_key/1","title":"Cardanoex.Key.get_account_public_key/1","type":"function"},{"doc":"Return a public key for a given role and derivation index. Options wallet_id - hex based string. 40 characters role - utxo_external, utxo_internal or mutable_account&quot; index - Example: 1852H. An individual segment within a derivation path. The H suffix indicates a Hardened child private key, which means that children of this key cannot be derived from the public key. Indices without a H suffix are called Soft.","ref":"Cardanoex.Key.html#get_public_key/3","title":"Cardanoex.Key.get_public_key/3","type":"function"},{"doc":"The Network module helps you check various information and parameters in the network","ref":"Cardanoex.Network.html","title":"Cardanoex.Network","type":"module"},{"doc":"Get network clock information.","ref":"Cardanoex.Network.html#clock/0","title":"Cardanoex.Network.clock/0","type":"function"},{"doc":"Get information about the network.","ref":"Cardanoex.Network.html#information/0","title":"Cardanoex.Network.information/0","type":"function"},{"doc":"Get network parameters.","ref":"Cardanoex.Network.html#parameters/0","title":"Cardanoex.Network.parameters/0","type":"function"},{"doc":"","ref":"Cardanoex.Network.html#t:clock/0","title":"Cardanoex.Network.clock/0","type":"type"},{"doc":"","ref":"Cardanoex.Network.html#t:network_information/0","title":"Cardanoex.Network.network_information/0","type":"type"},{"doc":"","ref":"Cardanoex.Network.html#t:parameters/0","title":"Cardanoex.Network.parameters/0","type":"type"},{"doc":"The stake pool module let's you manage stake pools.","ref":"Cardanoex.StakePool.html","title":"Cardanoex.StakePool","type":"module"},{"doc":"Estimate fee for joining or leaving a stake pool. Note that it is an estimation because a delegation induces a transaction for which coins have to be selected randomly within the wallet. Because of this randomness, fees can only be estimated. Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.StakePool.html#estimate_fee/1","title":"Cardanoex.StakePool.estimate_fee/1","type":"function"},{"doc":"Delegate all (current and future) addresses from the given wallet to the given stake pool. Note: Bech32-encoded stake pool identifiers can vary in length. Options wallet_id - hex based string. 40 characters stake_pool_id - hex|bech32 string passphrase - Wallet passphrase","ref":"Cardanoex.StakePool.html#join/3","title":"Cardanoex.StakePool.join/3","type":"function"},{"doc":"List all known stake pools ordered by descending non_myopic_member_rewards. The non_myopic_member_rewards — and thus the ordering — depends on the stake parameter. Some pools may also have metadata attached to them. Options stake - The stake the user intends to delegate in Lovelace. Required.","ref":"Cardanoex.StakePool.html#list/1","title":"Cardanoex.StakePool.list/1","type":"function"},{"doc":"List stake-keys relevant to the wallet, and how much ada is associated with each. Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.StakePool.html#list_stake_keys/1","title":"Cardanoex.StakePool.list_stake_keys/1","type":"function"},{"doc":"Stop delegating completely. The wallet's stake will become inactive. Options wallet_id - hex based string. 40 characters passphrase - Wallet passphrase","ref":"Cardanoex.StakePool.html#quit/2","title":"Cardanoex.StakePool.quit/2","type":"function"},{"doc":"Performs maintenance actions on stake pools, such as triggering metadata garbage collection. Actions may not be instantaneous.","ref":"Cardanoex.StakePool.html#trigger_maintenance_action/1","title":"Cardanoex.StakePool.trigger_maintenance_action/1","type":"function"},{"doc":"Returns the current status of the stake pools maintenance actions.","ref":"Cardanoex.StakePool.html#view_maintenance_actions/0","title":"Cardanoex.StakePool.view_maintenance_actions/0","type":"function"},{"doc":"","ref":"Cardanoex.StakePool.html#t:fee_estimation/0","title":"Cardanoex.StakePool.fee_estimation/0","type":"type"},{"doc":"","ref":"Cardanoex.StakePool.html#t:stake_key/0","title":"Cardanoex.StakePool.stake_key/0","type":"type"},{"doc":"","ref":"Cardanoex.StakePool.html#t:stake_pool/0","title":"Cardanoex.StakePool.stake_pool/0","type":"type"},{"doc":"The Transaction module lets you work with transactions for a wallet.","ref":"Cardanoex.Transaction.html","title":"Cardanoex.Transaction","type":"module"},{"doc":"Create and send transaction from the wallet. Options wallet_id - hex based string. 40 characters transaction - A map with the following structure: %{ payments : [ %{ address : &quot;addr_test1qruzy7l5...nq04es9elzy7&quot; , amount : %{ quantity : 42_000_000 , unit : &quot;lovelace&quot; } } ] } # With asset: %{ payments : [ %{ address :&quot;addr_test1qruzy7l5...nq04es9elzy7&quot; , amount : %{ quantity : 1_407_406 , unit : &quot;lovelace&quot; } , assets : [ %{ policy_id : &quot;6b8d07d69639e9413dd637a1a815a7323c69c86abbafb66dbfdb1aa7&quot; , asset_name : &quot;&quot; , quantity : 0 } ] } ] } # With metadata: %{ payments : [ %{ address : &quot;addr_test1qruzy7l5...nq04es9elzy7&quot; , amount : %{ quantity : 1_407_406 , unit : &quot;lovelace&quot; } } ] , metadata : %{ &quot;0&quot; =&gt; %{ &quot;string&quot; =&gt; &quot;cardano&quot; } , &quot;1&quot; =&gt; %{ &quot;int&quot; =&gt; 14 } } }","ref":"Cardanoex.Transaction.html#create/2","title":"Cardanoex.Transaction.create/2","type":"function"},{"doc":"Estimate fee for the transaction. The estimate is made by assembling multiple transactions and analyzing the distribution of their fees. The estimated_max is the highest fee observed, and the estimated_min is the fee which is lower than at least 90% of the fees observed. Options wallet_id - hex based string. 40 characters transaction - A map with the following structure: %{ payments : [ %{ address : &quot;addr_test1qruzy7l5...nq04es9elzy7&quot; , amount : %{ quantity : 42_000_000 , unit : &quot;lovelace&quot; } } ] } # With asset: %{ payments : [ %{ address :&quot;addr_test1qruzy7l5...nq04es9elzy7&quot; , amount : %{ quantity : 1_407_406 , unit : &quot;lovelace&quot; } , assets : [ %{ policy_id : &quot;6b8d07d69639e9413dd637a1a815a7323c69c86abbafb66dbfdb1aa7&quot; , asset_name : &quot;&quot; , quantity : 0 } ] } ] } # With metadata: %{ payments : [ %{ address : &quot;addr_test1qruzy7l5...nq04es9elzy7&quot; , amount : %{ quantity : 1_407_406 , unit : &quot;lovelace&quot; } } ] , metadata : %{ &quot;0&quot; =&gt; %{ &quot;string&quot; =&gt; &quot;cardano&quot; } , &quot;1&quot; =&gt; %{ &quot;int&quot; =&gt; 14 } } }","ref":"Cardanoex.Transaction.html#estimate_fee/2","title":"Cardanoex.Transaction.estimate_fee/2","type":"function"},{"doc":"Get transaction by id. Options transaction_id - Transaction ID","ref":"Cardanoex.Transaction.html#get/2","title":"Cardanoex.Transaction.get/2","type":"function"},{"doc":"Lists all incoming and outgoing wallet's transactions. Options start - An optional start time in ISO 8601 date-and-time format. Basic and extended formats are both accepted. Times can be local (with a timezone offset) or UTC. If both a start time and an end time are specified, then the start time must not be later than the end time. Example: 2008-08-08T08:08:08Z stop - An optional end time in ISO 8601 date-and-time format. Basic and extended formats are both accepted. Times can be local (with a timezone offset) or UTC. If both a start time and an end time are specified, then the start time must not be later than the end time. order - Can be set to :descending or :ascending . Defaults to :descending min_withdrawal - Returns only transactions that have at least one withdrawal above the given amount. This is particularly useful when set to 1 in order to list the withdrawal history of a wallet.","ref":"Cardanoex.Transaction.html#list/2","title":"Cardanoex.Transaction.list/2","type":"function"},{"doc":"","ref":"Cardanoex.Transaction.html#t:amount/0","title":"Cardanoex.Transaction.amount/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:asset/0","title":"Cardanoex.Transaction.asset/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:collateral/0","title":"Cardanoex.Transaction.collateral/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:create_transaction/0","title":"Cardanoex.Transaction.create_transaction/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:fee_estimation/0","title":"Cardanoex.Transaction.fee_estimation/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:input/0","title":"Cardanoex.Transaction.input/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:output/0","title":"Cardanoex.Transaction.output/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:payment/0","title":"Cardanoex.Transaction.payment/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:transaction/0","title":"Cardanoex.Transaction.transaction/0","type":"type"},{"doc":"","ref":"Cardanoex.Transaction.html#t:withdrawal/0","title":"Cardanoex.Transaction.withdrawal/0","type":"type"},{"doc":"The wallet module lets you work with Cardano wallets. Wallets are identified by unique ID which is deterministically derived from the seed (mnemonic phrase), so each time you delete and create a wallet again, it receives the same ID.","ref":"Cardanoex.Wallet.html","title":"Cardanoex.Wallet","type":"module"},{"doc":"Create and restore a wallet from a mnemonic sentence. Options name - A human readable name for the wallet mnemonic_sentence - A list of bip-0039 mnemonic words. 15-24 words. passphrase - A master passphrase to lock and protect the wallet for sensitive operation (e.g. sending funds) mnemonic_second_factor - An optional passphrase used to encrypt the mnemonic sentence. A list of bip-0039 mnemonic words. 9-12 words. address_pool_gap - Number of consecutive unused addresses allowed. Default is 20. IMPORTANT DISCLAIMER: Using values other than 20 automatically makes your wallet invalid with regards to BIP-44 address discovery. It means that you will not be able to fully restore your wallet in a different software which is strictly following BIP-44. Beside, using large gaps is not recommended as it may induce important performance degradations. Use at your own risks.","ref":"Cardanoex.Wallet.html#create_wallet/1","title":"Cardanoex.Wallet.create_wallet/1","type":"function"},{"doc":"Delete wallet by wallet id Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.Wallet.html#delete/1","title":"Cardanoex.Wallet.delete/1","type":"function"},{"doc":"Fetch a wallet by wallet id Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.Wallet.html#fetch/1","title":"Cardanoex.Wallet.fetch/1","type":"function"},{"doc":"Return the UTxOs distribution across the whole wallet, in the form of a histogram. Options wallet_id - hex based string. 40 characters","ref":"Cardanoex.Wallet.html#fetch_utxo_stats/1","title":"Cardanoex.Wallet.fetch_utxo_stats/1","type":"function"},{"doc":"Return a list of known wallets, ordered from oldest to newest.","ref":"Cardanoex.Wallet.html#list/0","title":"Cardanoex.Wallet.list/0","type":"function"},{"doc":"Update the name of a wallet Options wallet_id - hex based string. 40 characters new_name - the new name for the wallet","ref":"Cardanoex.Wallet.html#update/2","title":"Cardanoex.Wallet.update/2","type":"function"},{"doc":"Update passphrase for a wallet Options wallet_id - hex based string. 40 characters old_passphrase - the old passphrase new_passphrase - the new passphrase","ref":"Cardanoex.Wallet.html#update_passphrase/3","title":"Cardanoex.Wallet.update_passphrase/3","type":"function"},{"doc":"","ref":"Cardanoex.Wallet.html#t:assets/0","title":"Cardanoex.Wallet.assets/0","type":"type"},{"doc":"","ref":"Cardanoex.Wallet.html#t:balance/0","title":"Cardanoex.Wallet.balance/0","type":"type"},{"doc":"","ref":"Cardanoex.Wallet.html#t:delegation/0","title":"Cardanoex.Wallet.delegation/0","type":"type"},{"doc":"","ref":"Cardanoex.Wallet.html#t:passphrase/0","title":"Cardanoex.Wallet.passphrase/0","type":"type"},{"doc":"","ref":"Cardanoex.Wallet.html#t:state/0","title":"Cardanoex.Wallet.state/0","type":"type"},{"doc":"","ref":"Cardanoex.Wallet.html#t:tip/0","title":"Cardanoex.Wallet.tip/0","type":"type"},{"doc":"","ref":"Cardanoex.Wallet.html#t:utxo_stats/0","title":"Cardanoex.Wallet.utxo_stats/0","type":"type"},{"doc":"","ref":"Cardanoex.Wallet.html#t:wallet/0","title":"Cardanoex.Wallet.wallet/0","type":"type"},{"doc":"Cardanoex Welcome to the documentation for Cardanoex. The aim of this library is to offer a set of tools for interacting with Cardano blockchain platform in Elixir. It provides high level modules representing the Cardano environment, like wallets, addresses, transactions, native assets &amp; stake pools. It currently uses the REST protocol offered by the cardano-wallet binary. This library is the implementation of the idea submitted to Catalyst project.","ref":"readme.html","title":"Cardanoex","type":"extras"},{"doc":"You need to have the cardano-wallet up and running","ref":"readme.html#prerequisites","title":"Cardanoex - Prerequisites","type":"extras"},{"doc":"Add cardanoex to your list of dependencies in mix.exs : def deps do [ { :cardanoex , &quot;~&gt; 0.6.0&quot; } ] end","ref":"readme.html#installation","title":"Cardanoex - Installation","type":"extras"},{"doc":"In config/config.exs , add url to the cardano-wallet config :cardanoex , wallet_base_url : &quot;http://localhost:8090/v2&quot;","ref":"readme.html#configuration","title":"Cardanoex - Configuration","type":"extras"},{"doc":"Create a wallet name = &quot;Wallet #1&quot; mnemonic = Util . generate_mnemonic ( ) pass = &quot;Super_Secret3.14!&quot; { :ok , wallet } = Wallet . create_wallet ( name : name , mnemonic_sentence : mnemonic , passphrase : pass ) List all transactions { :ok , transactions } = Transaction . list ( wallet . id ) Send a transaction payments = %{ passphrase : &quot;Super_Secret3.14!&quot; , payments : [ %{ address : &quot;addr_test1qqt6c697uderxaccgn...m64dsuzfj8f&quot; , amount : %{ quantity : 1_000_000 , unit : &quot;lovelace&quot; } } ] } { :ok , transaction } = Transaction . create ( wallet . id , payments )","ref":"readme.html#example-usage","title":"Cardanoex - Example usage","type":"extras"},{"doc":"If you like to support the project with a donation, the address is: addr1qyfe0we0tkdu9qn8ztufplz0lmktgpx9zxnj54cd7y359wsyhwvjrl2zkf5cy72yv6p47f2gs5zglyplfggh6e5n4p0sdvvrng","ref":"readme.html#donate","title":"Cardanoex - Donate","type":"extras"}]